package main

import (
	"git.hackmi.ch/Phil/gofiber-api-template/config"
	"git.hackmi.ch/Phil/gofiber-api-template/routes"
	"github.com/gofiber/fiber/v2"
	"github.com/gofiber/fiber/v2/middleware/recover"
)

func main() {
	app := fiber.New(config.FiberConfig)

	app.Use(recover.New())

	app.Get("/", routes.Default)

	app.Listen(":3000")
}
